org.apache.ignite.internal.processors.query.h2.twostep.messages

## Class GridQueryNextPageRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.query.h2.twostep.messages.GridQueryNextPageRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridQueryNextPageRequest
    extends Object
    implements Message

Request to fetch next page.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridQueryNextPageRequest()` Default constructor.
`GridQueryNextPageRequest(long qryReqId, int qry, int pageSize)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`int` `pageSize()`
`int` `query()`
`long` `queryRequestId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridQueryNextPageRequest

    public GridQueryNextPageRequest()

Default constructor.

#### GridQueryNextPageRequest

    public GridQueryNextPageRequest(long qryReqId,
                            int qry,
                            int pageSize)

Parameters:
  `qryReqId` - Query request ID.
  `qry` - Query.
  `pageSize` - Page size.

### Method Detail

#### queryRequestId

    public long queryRequestId()

Returns:
  Query request ID.

#### query

    public int query()

Returns:
  Query.

#### pageSize

    public int pageSize()

Returns:
  Page size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015